Subject: Re: bug#34613: [PATCH] gnu: Add prometheus.
From: zimoun <[email-masked]>
To: Gábor Boskovits <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Oct 2022 18:18:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sat, 08 Oct 2022 at 16:42, zimoun <[email-masked]> wrote:
> On Thu, 07 Apr 2022 at 14:29, zimoun <[email-masked]> wrote:
>
>> What is the status of this old patch#34613:
>>
>>     <http://issues.guix.gnu.org/issue/34613>
>
>> Because the Go ecosystem changed a bit since the submission, do we merge
>> this patch?  Especially in the light of:
>>
>>         There are some problems with it however:
>>
>>         The tarball has a vendor directory, containing sources of third party
>>         go stuff. How do we deal with that?
>>         (Should we package the stuff there, and link the sources into the tree?)
>>
>>
>>         <https://issues.guix.gnu.org/issue/34613#1>
>>
>> Well, I propose to drop this submission since the last interaction is
>> from 3 years, 2 weeks, 6 days ago and then start a fresh one.  WDYT?
>
> The patch is marked moreinfo since 23 Jun 2022  (15 weeks, 2 days, 6
> hours ago) and dormant since years.
>
> If no objection, I will close it soon.

Gábor sent me offlist that they agree to close because the problematic
part is non-free ui components.  And since no one seems aware of a fix,
closing.

Feel free to reopen if I am missing a point or if someone is currently
revisiting the issue.

Cheers,
simon